Create User

Create User
Create user

This endpoint is used to create a new user in the system.
Authorized Roles : SYSTEM_ADMIN or INFRA_ADMIN or DSM_ADMIN

Request
URI
POST
https://{api_host}/provider/users
COPY
Header Parameters
string
Authorization
Required

Bearer token for authentication (e.g., "Bearer <token>" obtained from /provider/session)

string
Content-Type
Required

Request body content type (application/json or application/vnd.vmware.dms-v1+json)

Possible values are : application/json, application/vnd.vmware.dms-v1+json,
string
Accept
Required

Must be application/vnd.vmware.dms-v1+json


Request Body

Request body containing user details for creation.

userRequestDto of type(s) application/json
Required
{
    "email": "string",
    "password": "string"
}
string
email
Required

Email address of the user

string As ^(?=.*?[A-Z])(?=.*?[a-z])(?=.*?[0-9])(?=.*?[?!@#$%^&*])[A-Za-z\d?!@#$%^&*]{8,20}$
password
Required

Password for the user. Must contain minimum 8 and maximum 20 characters, at least one uppercase letter, one lowercase letter, one number and one special character (?!@#$%^&*)

Authentication
This operation uses the following authentication methods.
Responses
201

User successfully created.

Returns dmsUserResponseDto of type(s) application/vnd.vmware.dms-v1+json
{
    "id": 0,
    "email": "string",
    "links": [
        {
            "rel": "string",
            "href": "string"
        }
    ]
}

400

Bad request. The provided input data is invalid.

Returns ErrorDto of type(s) application/vnd.vmware.dms-v1+json
{
    "message": "string",
    "errorCodes": {
        "type": "string"
    }
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"email":"string","password":"string"}' https://{api_host}/provider/users